Subject: Re: HELP! Geese eating annuals!

From: [email-masked] (Carole Judd)
Date: 3 Jun 1995 02:16:08 -0400

HELP! I thought that rodents or some other small animal was eating my
annuals.  I tried "dry blood".  It worked for a while, until today! I
opened my front door to find a Canadian geese and all 12 goslings eating
my impatiens! What can I do??? A friend suggests dish soap and water
spray.  Will this work?  Any other ideas?? Thanks in advance!

Carole, The amatuer.